## webpy 0.37+20120626

=== test/requirements.txt ===
psycopg2
MySQL-python
PyGreSQL
DBUtils

## webpy 0.38

=== debian/changelog ===
webpy (1:0.38-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ W. Martin Borgert ]
  * New upstream release 0.38
  * Bump standards version to 3.9.8, no changes

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 08:36:52 +0000

webpy (1:0.37+20120626-1) unstable; urgency=low

  * New upstream release. Used git snapshot to get changelog and license.
    No relevant change since 1:0.36+20120529-1.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Jun 2012 20:58:48 +0000

webpy (1:0.36+20120529-1) unstable; urgency=low

  * New upstream code, however not yet 0.37 (Closes: #638827).
  * Use dh instead of verbose debian/rules.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Jun 2012 22:05:16 +0000

webpy (1:0.34-2) unstable; urgency=low

  * Upstream changelog is now debian/CHANGELOG, not
    debian/NEWS

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Apr 2010 14:09:58 +0000

webpy (1:0.34-1) unstable; urgency=low

  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Sat, 20 Mar 2010 22:45:57 +0000

webpy (1:0.33-1) unstable; urgency=low

  * New upstream release
  * Jakub Wilk <ubanus@users.sf.net>  Fri, 13 Nov 2009 14:15:41 +0100:
    - Add watch file.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 07 Dec 2009 19:32:18 +0000

webpy (1:0.32+dak1-1) unstable; urgency=low

  * New upstream release
  * Change version numbering scheme to upstream method (closes: #517416),
    thanks to Savvas Radevic
  * Relax and widen dependency on database (closes: #511367), thanks to
    Andrew Malcolmson and Piotr Ożarowski
  * Unfortunately, Kai has to orphan the package. Thanks to Kai for his
    work on the package and for blessing takeover by python-modules-team
  * fake upstream version number to make dak happy after broken upload

 -- W. Martin Borgert <debacle@debian.org>  Wed, 26 Aug 2009 22:32:36 +0000

webpy (0.310-1) unstable; urgency=low

  * New upstream release
  * Closes: #509725: Update to fixes a bug with wsgi and SSL
  * https://bugs.edge.launchpad.net/ubuntu/+source/webpy/+bug/311225

 -- Kai Hendry <hendry@iki.fi>  Fri, 26 Dec 2008 11:53:39 +0000

webpy (0.300-1) unstable; urgency=low

  * New upstream release
  * Upgrade guide: http://webpy.org/docs/0.3/upgrade

 -- Kai Hendry <hendry@iki.fi>  Tue, 09 Dec 2008 22:23:38 +0000

webpy (0.230-1) unstable; urgency=low

  * New Upstream Version
  * See http://webpy.org/changes
  * Added links to Git repo and homepage in control
  * Removed unrequired dh_python from debian/rules

 -- Kai Hendry <hendry@iki.fi>  Sun, 20 Jan 2008 13:59:06 +0000

webpy (0.220-1) unstable; urgency=low

  * New upstream release
  * python-webpy: Eats a request/response cycle when using SCGI and the
    client makes a POST request and the application returns a response
    with status 302 (Closes: #429272)

 -- Kai Hendry <hendry@iki.fi>  Mon, 27 Aug 2007 22:23:59 +0100

webpy (0.210-1) unstable; urgency=medium

  * New upstream release
  * new upstream release with security fix (Closes: #427715)
  * Upstream announcement:
    http://groups.google.com/group/webpy/browse_thread/thread/c97f397c91a52996
  * Updated copyright to reflect wsgiserver inclusion
  * http://webpy.org/changes

 -- Kai Hendry <hendry@iki.fi>  Wed, 06 Jun 2007 08:45:06 +0100

webpy (0.200-1) unstable; urgency=low

  * New upstream release
  * Added a NEWS file hopefully warning people about this upgrade
  * Removed my setup.py for upstream's
  * Requires python2.4 or greater

 -- Kai Hendry <hendry@iki.fi>  Tue, 28 Nov 2006 19:18:34 -0300

webpy (0.138-2) unstable; urgency=low

  * Update for new Python policy
  * Python policy transition (Closes: #373407)
  * Thanks again to Sanghyeon Seo and Fabio Tranchitella
  * Thanks to Josselin Mouette

 -- Kai Hendry <hendry@iki.fi>  Tue, 27 Jun 2006 12:17:01 +0900

webpy (0.138-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Tue,  9 May 2006 22:52:48 +0900

webpy (0.137-2) unstable; urgency=low

  * Support for all versions of the interpreter with python-support
  * Thanks to Josselin Mouette and Sanghyeon Seo

 -- Kai Hendry <hendry@iki.fi>  Tue,  9 May 2006 18:07:29 +0900

webpy (0.137-1) unstable; urgency=low

  * New upstream release
  * template.py added
  * non-non-free, it's now all in the Public Domain!

 -- Kai Hendry <hendry@iki.fi>  Wed, 29 Mar 2006 13:36:26 +0900

webpy (0.135-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Wed, 22 Feb 2006 17:54:21 +0900

webpy (0.133-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Mon, 13 Feb 2006 17:58:34 +0900

webpy (0.13-1) unstable; urgency=low

  * Initial release. (Closes: #349763)

 -- Kai Hendry <hendry@iki.fi>  Mon,  6 Feb 2006 11:51:49 +0900

=== debian/control ===
Source: webpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), dh-python
Standards-Version: 3.9.8
Homepage: http://webpy.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/webpy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/webpy.git

Package: python-webpy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-cheetah, python-flup, python-psycopg2 | python-pysqlite2 | python-pysqlite1.1 | python-sqlite | python-mysqldb | python-kinterbasdb
Description: Web framework for Python applications
 Webpy offers a clean and well designed API for Python Web applications
 .
 The philosophy behind webpy is to: "Think about the ideal way to write a web
 app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.

## webpy 0.38+20170615

=== test/requirements.txt ===
psycopg2
PyMySQL
mysql-connector==2.1.4
DBUtils

=== debian/changelog ===
webpy (1:0.38+20170615-1) unstable; urgency=medium

  * New upstream snapshot, support Python 3 (Closes: #872825)
  * Add documentation (Closes: #570349)
  * Use debhelper 10 and bump standards version to 4.0.1, no changes

 -- W. Martin Borgert <debacle@debian.org>  Mon, 21 Aug 2017 18:56:11 +0000

=== debian/control ===
Source: webpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 10), python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools, python3-sphinx, dh-python
Standards-Version: 4.0.1
Homepage: http://webpy.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/webpy.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/webpy.git

Package: python-webpy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-cheetah, python-flup, python-psycopg2 | python-pysqlite2 | python-pysqlite1.1 | python-sqlite | python-mysqldb | python-kinterbasdb
Description: Web framework for Python applications
 Web.py by Aaron Swartz offers a clean and well designed API for Python web
 applications.
 .
 The philosophy behind web.py is to: "Think about the ideal way to write a
 web app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.
 .
 This package provides the Python 2.x module.

Package: python3-webpy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-cheetah, python3-flup, python3-psycopg2 | python3-pysqlite2 | python3-pysqlite1.1 | python3-sqlite | python3-mysqldb | python3-kinterbasdb
Description: Web framework for Python applications
 Web.py by Aaron Swartz offers a clean and well designed API for Python web
 applications.
 .
 The philosophy behind web.py is to: "Think about the ideal way to write a
 web app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.
 .
 This package provides the Python 3.x module.

Package: python-webpy-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Web framework for Python applications
 Web.py by Aaron Swartz offers a clean and well designed API for Python web
 applications.
 .
 The philosophy behind web.py is to: "Think about the ideal way to write a
 web app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=webpy

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/. $(MAKE) -C docs html
	cp -auxf docs/_build/html debian/python-webpy-doc/usr/share/doc/python-webpy-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
http://webpy.org/static/web\.py-([0-9.]+)\.tar\.gz

## webpy 0.39+20181101

=== debian/changelog ===
webpy (1:0.39+20181101-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:15:59 +0800

webpy (1:0.39+20181101-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ W. Martin Borgert ]
  * New upstream snapshot, support Python 3.7 (Closes: #920023)
  * Drop Python 2 package, because of dependency on python3-cheroot
    (Closes: #584924)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 22 Jan 2019 22:36:38 +0000

=== debian/control ===
Source: webpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 12), python3-all, python3-setuptools, python3-sphinx, dh-python
Standards-Version: 4.0.1
Rules-Requires-Root: no
Homepage: http://webpy.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/webpy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/webpy

Package: python3-webpy
Architecture: all
Depends: ${python3:Depends},
	${misc:Depends},
	python3-cheroot
Recommends: python3-psycopg2 | python3-pysqlite2 | python3-pysqlite1.1 | python3-sqlite | python3-mysqldb | python3-kinterbasdb
Description: Web framework for Python applications
 Web.py by Aaron Swartz offers a clean and well designed API for Python web
 applications.
 .
 The philosophy behind web.py is to: "Think about the ideal way to write a
 web app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.
 .
 This package provides the Python 3.x module.

Package: python-webpy-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Web framework for Python applications
 Web.py by Aaron Swartz offers a clean and well designed API for Python web
 applications.
 .
 The philosophy behind web.py is to: "Think about the ideal way to write a
 web app. Write the code to make it happen."
 .
 Implementations using this library have resulted in:
  * less code
  * code that ran faster
  * code that is easier to read and maintain.
 .
 This package provides the documentation.

## webpy 0.40

=== requirements.txt ===
cheroot>=6.0.0
markdown

=== debian/changelog ===
webpy (1:0.40-2) unstable; urgency=medium

  * Remove build-dependency on RC buggy python3-mysql.connector

 -- W. Martin Borgert <debacle@debian.org>  Mon, 07 Oct 2019 22:29:05 +0000

webpy (1:0.40-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ W. Martin Borgert ]
  * New upstream release, also Closes: #940106

 -- W. Martin Borgert <debacle@debian.org>  Sun, 29 Sep 2019 12:28:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 12), python3-all, python3-setuptools, python3-sphinx, dh-python
+Build-Depends: debhelper-compat (= 12),
+	dh-python,
+	python3-all,
+	python3-cheroot,
+	python3-psycopg2,
+	python3-pymysql,
+	python3-pytest,
+	python3-setuptools,
+	python3-sphinx,
 Standards-Version: 4.0.1
 Rules-Requires-Root: no
 Homepage: http://webpy.org/

## webpy 0.61

=== requirements.txt ===
cheroot>=6.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/webpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/webpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/webpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/webpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
webpy (1:0.61-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2022 14:30:58 -0400

webpy (1:0.61-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sat, 05 Sep 2020 19:59:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: webpy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 12),
 	dh-python,
 	python3-all,
@@ -14,9 +14,9 @@
 	python3-sphinx,
 Standards-Version: 4.0.1
 Rules-Requires-Root: no
-Homepage: http://webpy.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/webpy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/webpy
+Homepage: https://webpy.org/
+Vcs-Git: https://salsa.debian.org/python-team/packages/webpy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/webpy
 
 Package: python3-webpy
 Architecture: all

## webpy 0.62

=== debian/changelog ===
webpy (1:0.62-6) unstable; urgency=medium

  * Team upload.
  * d/patches/CVE-2025-3818.patch: Add patch from usptream to fix
    CVE-2025-3818.
  * d/tests/autopkgtest-pkg-python.conf: Add import_name to avoid break
    autodep8.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 09 May 2025 20:55:15 -0300

webpy (1:0.62-5) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-legacy-cgi (closes: #1082337).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Nov 2024 22:34:58 +0100

webpy (1:0.62-4) unstable; urgency=medium

  * Fix debian/watch

 -- Martin <debacle@debian.org>  Sat, 25 Feb 2023 22:14:11 +0000

webpy (1:0.62-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:51:13 +0000

webpy (1:0.62-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:21:05 +0100

webpy (1:0.62-1) unstable; urgency=medium

  * New upstream bug fix release
  * Bump debhelper-compat to 13
  * Update debian/watch

 -- Martin <debacle@debian.org>  Thu, 16 Jun 2022 22:05:12 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-cheroot,
+	python3-legacy-cgi,
 	python3-psycopg2,
 	python3-pymysql,
 	python3-pytest,
@@ -22,7 +24,8 @@
 Architecture: all
 Depends: ${python3:Depends},
 	${misc:Depends},
-	python3-cheroot
+	python3-cheroot,
+	python3-legacy-cgi,
 Recommends: python3-psycopg2 | python3-pysqlite2 | python3-pysqlite1.1 | python3-sqlite | python3-mysqldb | python3-kinterbasdb
 Description: Web framework for Python applications
  Web.py by Aaron Swartz offers a clean and well designed API for Python web

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/webpy_$1.tar.gz/" \
  https://github.com/webpy/webpy/tags .*/v?(\d\S*)\.tar\.gz
